#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <sys/mtio.h>

#include "zftape-ioctl.h"

struct mtblksz blockquery;

int main( int argc, char *argv[] )
{
int tapedesc;                        
ulong *bsm_loc;
int i;                             
unsigned short cmap;
char *tapedev;

  tapedev = getenv ("TAPE");
  if (tapedev == NULL) {
    tapedev = DEFTAPE;
  }
  tapedesc = open ( tapedev, O_RDWR );
  if (tapedesc == -1) {
    perror("Can't open tapedev");
    exit( 1 );
  }             
  if ( ioctl( tapedesc, MTIOC_ZFTAPE_GETBLKSZ, &blockquery ) < 0 ) {
    perror("Can't get blocksize of current volume");
    exit(1);
  }
  printf("The blocksize of the current volume is %d bytes!\n", blockquery.mt_blksz );

}                                         



